[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicAction.ExecuteTarget

Executes the action on the Target object

## Declaration

Source position: classesh.inc line 1808

`public procedure TBasicAction.ExecuteTarget(`
`Target: TObject`
`); virtual;`

## Description

ExecuteTarget performs the action on the Target object. In TBasicAction this method does nothing. Descendent classes should implement the action to be performed. For instance an action to post data in a dataset could call the Post method of the dataset.

An application programmer should never call ExecuteTarget directly.

## See also

HandlesTarget |  | Determines whether Target can be handled by this action
UpdateTarget |  | Executes the action on the Target object
Execute |  | Triggers the OnExecute event

Documentation generated on: Feb 26 2014